---
title: "Immoweb API: Search | Perceptlayer"
description: "Search from Immoweb as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/immoweb/search
---

[APIs](https://perceptlayer.com/apis) / [Immoweb](https://perceptlayer.com/apis/immoweb) / Search

# Immoweb: Search

Search from Immoweb as JSON. 1 credit per successful call.

GET `/v1/immoweb/search`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `transactionTypes` | string | Required | FOR\_SALE, FOR\_RENT |
| `propertyTypes` | string | Optional | HOUSE, APARTMENT, HOUSE\_AND\_APARTMENT, OFFICE, INDUSTRY, COMMERCIAL, LAND, GARAGE, TENEMENT\_BUILDING, HOMES\_TO\_BUILD, HOUSE\_GROUP, APARTMENT\_GROUP, LOT\_SALES, OTHER |
| `constructionTypes` | string | Optional | ANY, ALL\_KIND, APARTMENT\_BUILDING, BEL\_ETAGE, BUNGALOW, HOUSE, VILLA |
| `buildingConditions` | string | Optional | FIRST\_TIME\_USED, GOOD, AS\_NEW, TO\_RESTORE, JUST\_RENOVATED, TO\_BE\_DONE\_UP, TO\_RENOVATE, CASCO |
| `gardenOrientations` | string | Optional | NORTH, SOUTH, EAST, WEST, NORTH\_EAST, NORTH\_WEST, SOUTH\_EAST, SOUTH\_WEST |
| `epcScores` | string | Optional | A, B, C |
| `priceType` | string | Optional | PRICE, MONTHLY\_RENTAL\_PRICE, YEARLY\_RENTAL\_PRICE, PRICE\_PER\_SQM, YEARLY\_RENTAL\_PRICE\_PER\_SQM |
| `sort` | string | Optional | PRICE, AD\_QUALITY, POSTAL\_CODE, PUBLICATION\_DATE |
| `language` | string | Optional | nl, fr, en |
| `minPrice` | integer | Optional | Any |
| `maxPrice` | integer | Optional | Any |
| `minSurface` | integer | Optional | Any |
| `maxBedroomCount` | integer | Optional | Any |
| `minConstructionYear` | integer | Optional | Any |
| `minParkingPlaces` | integer | Optional | Any |
| `maxDaysSinceActivation` | integer | Optional | Any |
| `customerIds` | string | Optional | Any |
| `postalCodes` | string | Optional | Any |
| `provinces` | string | Optional | Any |
| `districts` | string | Optional | Any |
| `hasGarden` | boolean | Optional | Any |
| `hasLift` | boolean | Optional | Any |
| `hasSwimmingPool` | boolean | Optional | Any |
| `hasPictures` | boolean | Optional | Any |
| `hasVirtualTourOr360` | boolean | Optional | Any |
| `isNewlyBuilt` | boolean | Optional | Any |
| `isSoldOrRented` | boolean | Optional | Any |
| `isFurnished` | boolean | Optional | Any |
| `isImmediatelyAvailable` | boolean | Optional | Any |
| `isAPublicSale` | boolean | Optional | Any |
| `isALifeAnnuitySale` | boolean | Optional | Any |
| `isAnInvestmentProperty` | boolean | Optional | Any |
| `isUnderOption` | boolean | Optional | Any |
| `isAWorkSpaceProperty` | boolean | Optional | Any |
| `areBigPetsAllowed` | boolean | Optional | Any |
| `isConstructionPermitObtained` | boolean | Optional | Any |
| `range` | string | Optional | Any |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/immoweb/search?transactionTypes=FOR_SALE&propertyTypes=HOUSE&postalCodes=BE-9000&range=0-9" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/immoweb?try=search#playground) with your own parameters. 1 credit per successful call; failed calls are free.
